var nomnom = require("nomnom");

var parser = nomnom();

parser.command('browser')
  .callback(runBrowser)
  .help("run browser tests");
  
parser.command('sanity')
  .callback(runSanity)
  .help("run sanity tests");
  .opts({
    target: {
      position: 0,
      help: 'type of classifier to test (neuralnetwork or bayesian)'
    }
  });
  
parser.command('cvalidate')
  .callback(runCValidate)
  .help("run cross-validation tests")
  .opts({
    target: {
      position: 1,
      help: "[neuralnetwork|bayesian]"
    },

    config: {
      string: '-c FILE, --config=FILE',
      default: path.join(__dirname, "cvtests.json"),
      help: 'JSON manifest of cross-validation tests to run'
    },

    db: {
      string: '-d URL, --db=URL',
      help: 'url to CouchDB database of training data'
    },

    options: {
      string: '-o JSON, --options=JSON',
      help: 'options to pass to classifier'
    },

    type: {
      string: '-t [neuralnetwork|bayesian], --type=TYPE',
      help: 'type of classifier/network to test'
    },

    verbose: {
      string: '-v, --verbose',
      help: 'print more messages'
    },

    report: {
      string: '-r COUCHDB, --report=COUCHDB',
      help: 'couch db to post results to'
    },

    reportName: {
      string: '-n NAME, --report-name=NAME',
      help: 'name of results report'
    }
  });